gtkmm: Gtk::TreeNodeChildren Class Reference

gtkmm 3.4.0

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions
Gtk::TreeNodeChildren Class Reference
TreeView Classes

typedefed as TreeModel::Children. More...

Inheritance diagram for Gtk::TreeNodeChildren:
[legend]

List of all members.

## Public Types
typedef Gtk::TreeRow | value_type
typedef unsigned int | size_type
typedef int | difference_type
typedef Gtk::TreeIter | iterator
typedef std::reverse_iterator < iterator > | reverse_iterator
typedef Gtk::TreeIter | const_iterator
typedef std::reverse_iterator < const_iterator > | const_reverse_iterator
typedef const void* | BoolExpr
| This typedef is just to make it more obvious that our operator const void* should be used like operator bool().
## Public Member Functions
iterator | begin ()
const_iterator | begin () const
iterator | end ()
const_iterator | end () const
reverse_iterator | rbegin ()
reverse_iterator | rend ()
const_reverse_iterator | rbegin () const
const_reverse_iterator | rend () const
value_type | operator[] (size_type index) const
size_type | size () const
bool | empty () const
| operator BoolExpr () const
| Discover whether this is a valid TreeNodeChildren.

## Detailed Description

typedefed as TreeModel::Children.

Virtual container of TreeModel::Row items.

## Member Typedef Documentation

typedef const void* Gtk::TreeNodeChildren::BoolExpr

This typedef is just to make it more obvious that our operator const void* should be used like operator bool().

Reimplemented from Gtk::TreeIter.

typedef Gtk::TreeIter Gtk::TreeNodeChildren::const_iterator

typedef std::reverse_iterator<const_iterator> Gtk::TreeNodeChildren::const_reverse_iterator

typedef int Gtk::TreeNodeChildren::difference_type

Reimplemented from Gtk::TreeIter.

typedef Gtk::TreeIter Gtk::TreeNodeChildren::iterator

typedef std::reverse_iterator<iterator> Gtk::TreeNodeChildren::reverse_iterator

typedef unsigned int Gtk::TreeNodeChildren::size_type

typedef Gtk::TreeRow Gtk::TreeNodeChildren::value_type

Reimplemented from Gtk::TreeIter.

## Member Function Documentation

iterator Gtk::TreeNodeChildren::begin | ( |  | ) |

const_iterator Gtk::TreeNodeChildren::begin | ( |  | ) | const

bool Gtk::TreeNodeChildren::empty | ( |  | ) | const

iterator Gtk::TreeNodeChildren::end | ( |  | ) |

const_iterator Gtk::TreeNodeChildren::end | ( |  | ) | const

Gtk::TreeNodeChildren::operator BoolExpr | ( |  | ) | const`[inline]`

Discover whether this is a valid TreeNodeChildren.

For instance,

     if(children)
       do_something()

Reimplemented from Gtk::TreeIter.

value_type Gtk::TreeNodeChildren::operator[] | ( | size_type | index | ) | const

reverse_iterator Gtk::TreeNodeChildren::rbegin | ( |  | ) | `[inline]`

const_reverse_iterator Gtk::TreeNodeChildren::rbegin | ( |  | ) | const`[inline]`

reverse_iterator Gtk::TreeNodeChildren::rend | ( |  | ) | `[inline]`

const_reverse_iterator Gtk::TreeNodeChildren::rend | ( |  | ) | const`[inline]`

size_type Gtk::TreeNodeChildren::size | ( |  | ) | const

The documentation for this class was generated from the following file:

- gtkmm/treeiter.h